﻿# https://www.realvnc.com/en/connect/download/viewer/
$ErrorActionPreference = 'Stop'
$packageName    = 'vnc-viewer'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = "https://www.realvnc.com/download/file/viewer.files/VNC-Viewer-$ENV:ChocolateyPackageVersion-Windows-32bit.exe"
$checksum       = 'E92B1B68476FAFC75270FA865D52B2676BC526384B3FE70C41BFFA927604B44B'
$url64          = "https://www.realvnc.com/download/file/viewer.files/VNC-Viewer-$ENV:ChocolateyPackageVersion-Windows-64bit.exe"
$checksum64     = '320C169CFD9F1D1B49A70911FB215B50AAA2BA44C8FE8CE1C5975D109379351D'
$shortcutName   = 'VNC Viewer' 
$fileName32     = "VNC-Viewer-$ENV:ChocolateyPackageVersion-Windows-32bit.exe"
$fileName64     = "VNC-Viewer-$ENV:ChocolateyPackageVersion-Windows-64bit.exe"

#Start-CheckandThrow("VNC-Viewer")

if (Test-Path "$ENV:ChocolateyInstall\lib\$packageName\VNC-Viewer.exe"){Remove-Item "$ENV:ChocolateyInstall\lib\$packageName\VNC-Viewer.exe" }

if ((Get-OSArchitectureWidth -eq 64) -and ($ENV:chocolateyForceX86 -ne $True))
    {
     $FileFullpath = "$ToolsDir\$fileName64"
    } else {
     $FileFullpath = "$ToolsDir\$fileName32"
    }
	
$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url
  checksum       = $checksum
  checksumType   = 'sha256'  
  url64bit       = $url64  
  checksum64     = $checksum64
  checksumType64 = 'sha256'    
  FileFullPath   = $FileFullpath
}

Get-ChocolateyWebFile @packageArgs

Rename-Item $FileFullpath "VNC-Viewer.exe"
$FileFullPath = "$ToolsDir\VNC-Viewer.exe"
  
Install-ChocolateyShortcut -shortcutFilePath "$ENV:Public\Desktop\$shortcutName.lnk" -TargetPath $FileFullpath -WorkingDirectory "$toolsDir"
Install-ChocolateyShortcut -shortcutFilePath "$ENV:ProgramData\Microsoft\Windows\Start Menu\Programs\$shortcutName.lnk" -TargetPath $FileFullpath
